<?php
// Software released under the General Public License (version 3 or later), available at
// http://www.gnu.org/copyleft/gpl.html
/******************************************************************************
Utilities to manipulate images

@license  GPL
@author   <a href="http://www.tig12.net">Thierry Graff</a>
@history  2008.05.21 06h45  : Creation
********************************************************************************/


class uImages{
  
  //******************** getStringSize *******************************
  /**
    Returns the size of a string, in pixel.
    The result comes in a two element array, containing width and height.
    @param $string
    @param $font The font used to draw the image, between 1 and 5.
    @throws IllegalArgumentException if font is incorrect
    @history 2002.12.10 00h59 : creation
    @history 2008.05.21 06h48 : integration to class uImages
  */
  public static function getStringSize($string, $font){
    switch($font){
      case 1 : $w = 5; $h = 10; $gap = 1; break;
      case 2 : $w = 5; $h = 10; $gap = 1; break;
      case 3 : $w = 6; $h = 11; $gap = 1; break;
      case 4 : $w = 7; $h = 13; $gap = 1; break;
      case 5 : $w = 8; $h = 12; $gap = 1; break;
      default : throw new IllegalArgumentException("Incorrect parameter \$font : <b>$font</b>");
    }
    $len = strLen($string);
    $width = $len * $w + ($len - 1) * $gap;
    return array($width, $h);
  }// end getStringSize

}//end class

?>
