<?php
// Software released under the General Public License (version 2 or later), available at
// http://www.gnu.org/copyleft/gpl.html
/****************************************************************************************
Contains constants related to time

@license  GPL
@author   <a href="http://www.tig12.net">Thierry Graff</a>
@history 2007.02.26 : PHP5 port from java : jephem.astro.spacetime.TimeConstants.java
@history feb 15 2002 : Creation from tig.Time.
****************************************************************************************/

interface TimeConstants{
  
  /** Constant used to characterize that a date is expressed in UTC (Universal Coordinated Time). */
  const UTC = 0;
  /** Constant used to characterize that a date is expressed in TT (Terrestrial Time), which
  is considered as equal to TDB (Temps Dynamique Barycentrique) in JEphem. */
  const TT_TDB = 1;

  /** Number of seconds in a day (24 x 3600 = 86400). */
  const SECONDS_PER_DAY = 86400.0;
  /** Number of days per millenium ( = 365250). */
  const DAYS_PER_MILLENIUM	= 365250.0;
  /** Number of days per century ( = 36525). */
  const DAYS_PER_CENTURY	= 36525.0;
  /** Number of days per year ( = 365.25). */
  const DAYS_PER_YEAR	= 365.25;

  /** Julian date of 01/01/1900, 12h00m00s TU ( = 2415020.0). */
  const JD1900 = 2415020.0;
  /** Julian date of 01/01/2000, 12h00m00s TU ( = 2451545.0). */
  const JD2000 = 2451545.0;
  /** Julian date of 01/01/2100, 12h00m00s TU ( = 2488070.0). */
  const JD2100 = 2488070.0;

}// end TimeConstants
?>
